@echo off
setlocal
set CLASSPATH=%CD%;%CLASSPATH%
set JAVAC=javac

if %1. == . goto continue
if %1. == cleanup. goto cleanup
echo Invalid argument "%1". Pass either nothing or 'clean'.
echo Usage: run [no arguments^|clean]
exit /b 1

:continue
echo ASN.1-compiling the syntax...
echo.
asn1pjav mts -test -der -err mts.log
if errorlevel 1 (
	echo Error ASN.1-compiling.
	exit /b 1
)

if exist "%OSS_ASN1_JAVA%\lib\oss.jar" goto next
echo The environment variable OSS_ASN1_JAVA not set.  Exiting...
exit /b 1

:next
cd mts
echo Java-compiling generated classes...
echo.
call mts.bat %JAVAC% -g >>..\mts.log
cd ..

echo Running the derset test ...
echo.

java mts.Test
if exist mts (
	rmdir /s /q mts
	exit /b 0
)

:cleanup
if exist mts 	rmdir /s /q mts
if exist mts.log del mts.log
if exist *.class del *.class

